package com.ikon.projectmanagement.service;

import java.util.List;
import java.util.UUID;

import com.ikon.projectmanagement.dto.request.ProjectRequestDto;
import com.ikon.projectmanagement.dto.response.ProjectResponseDto;
import com.ikon.projectmanagement.dto.response.ProjectTimelineResponseDto;

public interface ProjectService {

    ProjectResponseDto createProject(ProjectRequestDto projectDto);

    List<ProjectResponseDto> getAllProjects();

    ProjectResponseDto getProjectByProjectIdentifier(UUID projectIdentifier);

    ProjectResponseDto updateProject(UUID projectIdentifier, ProjectRequestDto projectDto);

    List<ProjectTimelineResponseDto> getAllActiveProjectsTimeline();
}
